<div class="callbacks-content callbacks-list">
    <table st-table="displayedCallbacks" st-safe-src="callbacks" class="table table-striped">
        <thead class="no-border">
        <tr>
            <th st-sort="sort.preferredPeriod" st-skip-natural="true" class="sortable col-xs-5">{{'AGT_CONTENT_CLLB_NAME' | translate}}</th>
            <th st-sort="sort.queueDisplayName" class="sortable col-xs-5">{{'AGT_CONTENT_CLLB_QUEUENAME' | translate}}</th>
            <th st-sort="sort.dueStatus" st-sort-default="true" st-skip-natural="true" st-delay="-1" class="sortable col-xs-2 text-center">{{'AGT_CONTENT_CLLB_STATUS' | translate}}</th>
            <th></th>
        </tr>
        </thead>
        <tbody class="no-border">
        <tr ng-show="!displayedCallbacks.length" class="empty-text"><td colspan="4">{{'AGT_CONTENT_CLLB_NONE' | translate}}</td></tr>
        <tr ng-repeat="callback in displayedCallbacks track by $index" class="callbacks-list {{callback.dueStatus}} clickable"
            ng-mouseover="ctrl.setDisplayedCallback(callback); callback.hover=true"
            ng-mouseleave="callback.hover=false"
            ng-click="ctrl.takeCallback(callback)"
            uib-popover-template="'callback.html'" popover-trigger="'mouseenter'" popover-placement="bottom-right"
            popover-append-to-body="true" popover-popup-delay="600" popover-class="table-popover">
            <td>
                <p long-text="{{ callback.preferredPeriod.name }}" max-chars="20"></p>
            </td>
            <td>
                <p long-text="{{ callback.queue.displayName }}" max-chars="20"></p>
            </td>
            <td class="text-center">
                <span ng-show="!callback.hover">
                    <div class="callbacks state-{{ callback.dueStatus }}" ng-class="{'callback-mevo': callback.voiceMessageRef}">
                        <i ng-show="callback.voiceMessageRef" class="fa fa-envelope-o callback-mevo"></i>
                    </div>
                </span>
                <span ng-show="callback.hover">
                    <i class="callbacks right_arrow"></i>
                </span>
            </td>
            <!-- Work around for the angular smart table sort problem, needs to display in the table an element property-->
            <td><p class="hide" long-text="{{ callback.uuid }}" max-chars="20"></span></td>
        </tr>
        </tbody>
    </table>
</div>
